## profitbricks-sdk-python 4.1.1

=== requirements.txt ===
requests>=2.0.0
six>=1.10.0

# Testing requirements
pytest
responses

## profitbricks-sdk-python 2.3.1

=== debian/changelog ===
profitbricks-sdk-python (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Use secure git URIs for Vcs-Browser and Vcs-Git
  * Bump Standards-Version to 3.9.7

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 03 Feb 2016 12:25:35 +0100

profitbricks-sdk-python (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 20 Jan 2016 11:09:53 +0100

profitbricks-sdk-python (2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #808288)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 21 Dec 2015 10:48:45 +0100

=== debian/control ===
Source: profitbricks-sdk-python
Maintainer: Benjamin Drung <benjamin.drung@profitbricks.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-requests,
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-requests,
               python3-setuptools
X-Python-Version: >= 2.6
Standards-Version: 3.9.7
Homepage: https://github.com/profitbricks/profitbricks-sdk-python
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/profitbricks-sdk-python.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/profitbricks-sdk-python.git

Package: python-profitbricks
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: ProfitBricks REST API client library for Python 2
 The ProfitBricks client library for Python provides you with access to the
 ProfitBricks representational state transfer (REST) application programming
 interface (API). The client library supports both simple and complex requests.
 It is designed for developers who are building applications in Python.
 .
 This is the Python 2 version of the library.

Package: python3-profitbricks
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: ProfitBricks REST API client library for Python 3
 The ProfitBricks client library for Python provides you with access to the
 ProfitBricks representational state transfer (REST) application programming
 interface (API). The client library supports both simple and complex requests.
 It is designed for developers who are building applications in Python.
 .
 This is the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=profitbricks

%:
	dh $@ --buildsystem=pybuild --with python2,python3

# Disable test due required network connection
override_dh_auto_test:

override_dh_install:
	dh_install --fail-missing

## profitbricks-sdk-python 2.3.3

=== debian/changelog ===
profitbricks-sdk-python (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 21 Jun 2016 12:47:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-requests,
                python3-setuptools
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/profitbricks/profitbricks-sdk-python
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/profitbricks-sdk-python.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/profitbricks-sdk-python.git

## profitbricks-sdk-python 3.1.0

=== debian/changelog ===
profitbricks-sdk-python (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to query GitHub directly

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 25 Jan 2017 15:18:28 +0100

profitbricks-sdk-python (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update year in copyright file

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 23 Dec 2016 14:47:56 +0100

## profitbricks-sdk-python 4.1.0

=== debian/changelog ===
profitbricks-sdk-python (4.1.0-2) unstable; urgency=medium

  * Use UTF-8 as encoding for reading README.md (Closes: #872506)
  * Bump Standards-Version to 4.1.0 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 22 Aug 2017 15:26:05 +0200

profitbricks-sdk-python (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Recommend appdirs and keyring Python modules
  * Add profitbricks-api-tools package containing pb-api-shell
  * Bump Standards-Version to 4.0.0 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 25 Jul 2017 11:56:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-requests,
                python3-setuptools
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/profitbricks/profitbricks-sdk-python
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/profitbricks-sdk-python.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/profitbricks-sdk-python.git
@@ -19,6 +19,7 @@
 Package: python-profitbricks
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Recommends: python-appdirs, python-keyring
 Description: ProfitBricks REST API client library for Python 2
  The ProfitBricks client library for Python provides you with access to the
  ProfitBricks representational state transfer (REST) application programming
@@ -30,6 +31,7 @@
 Package: python3-profitbricks
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: python3-appdirs, python3-keyring
 Description: ProfitBricks REST API client library for Python 3
  The ProfitBricks client library for Python provides you with access to the
  ProfitBricks representational state transfer (REST) application programming
@@ -37,3 +39,14 @@
  It is designed for developers who are building applications in Python.
  .
  This is the Python 3 version of the library.
+
+Package: profitbricks-api-tools
+Architecture: all
+Section: net
+Depends: python3-profitbricks (>= 4.1.0), ${misc:Depends}, ${python3:Depends}
+Recommends: ipython3
+Description: command line tools that use the public API from ProfitBricks
+ This package contains command line tools that use the public API from
+ ProfitBricks. It contains following scripts:
+ .
+  - pb-api-shell - Interactive Python shell for the ProfitBricks REST API

## profitbricks-sdk-python 4.1.1

=== debian/changelog ===
profitbricks-sdk-python (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1 (no changes needed)
  * Check Python code with flake8

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 07 Nov 2017 10:55:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.6.6-3~),
+               python-flake8,
                python-requests,
                python-setuptools (>= 0.6b3),
                python3-all,
+               python3-flake8,
                python3-requests,
                python3-setuptools
 X-Python-Version: >= 2.6
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/profitbricks/profitbricks-sdk-python
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/profitbricks-sdk-python.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/profitbricks-sdk-python.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=profitbricks
PYTHON_FILES = examples profitbricks tests setup.py

%:
	dh $@ --buildsystem=pybuild --with python2,python3

# Disable test due required network connection
override_dh_auto_test:
	python3 -m flake8 --max-line-length=99 $(PYTHON_FILES)
	python -m flake8 --max-line-length=99 $(PYTHON_FILES)

override_dh_install:
	dh_install --fail-missing

## profitbricks-sdk-python 4.1.3

=== debian/changelog ===
profitbricks-sdk-python (4.1.3-3) unstable; urgency=medium

  * Drop unused Python 2 version
  * Bump Standards-Version to 4.4.0 (no changes required)
  * Switch to debhelper 12

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 23 Jul 2019 13:57:06 +0200

profitbricks-sdk-python (4.1.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

  [ Benjamin Drung ]
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Fix anomalous backslash in string (Closes: #911696)
  * Update debhelper to version 11

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 20 Nov 2018 13:13:28 +0100

profitbricks-sdk-python (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Move repository to salsa.debian.org
  * Fix flake8 issues (see pull request 75)
  * Check DEB_BUILD_OPTIONS for nocheck before running tests
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 30 Apr 2018 17:27:15 +0200

=== debian/control ===
Source: profitbricks-sdk-python
Maintainer: Benjamin Drung <benjamin.drung@cloud.ionos.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-flake8,
               python3-requests,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/profitbricks/profitbricks-sdk-python
Vcs-Browser: https://salsa.debian.org/debian/profitbricks-sdk-python
Vcs-Git: https://salsa.debian.org/debian/profitbricks-sdk-python.git

Package: python3-profitbricks
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-appdirs, python3-keyring
Description: ProfitBricks REST API client library for Python 3
 The ProfitBricks client library for Python provides you with access to the
 ProfitBricks representational state transfer (REST) application programming
 interface (API). The client library supports both simple and complex requests.
 It is designed for developers who are building applications in Python.
 .
 This is the Python 3 version of the library.

Package: profitbricks-api-tools
Architecture: all
Section: net
Depends: python3-profitbricks (>= 4.1.0), ${misc:Depends}, ${python3:Depends}
Recommends: ipython3
Description: command line tools that use the public API from ProfitBricks
 This package contains command line tools that use the public API from
 ProfitBricks. It contains following scripts:
 .
  - pb-api-shell - Interactive Python shell for the ProfitBricks REST API

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=profitbricks
PYTHON_FILES = examples profitbricks tests setup.py

%:
	dh $@ --buildsystem=pybuild --with python3

# Disable test due required network connection
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m flake8 --max-line-length=99 $(PYTHON_FILES)
endif

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/profitbricks/profitbricks-sdk-python/releases (?:.*?/)?v(.*)\.(?:tar.gz|tar.bz2|tar.xz)
